md.fibu.getOverview = function() {
	// UI vorbereiten
	$("#app-content").addClass("loading");
	$(".active").removeClass("active");
	$("#overview").addClass("active");
	$("#app-content").html("");
	
	// Merker fr letztes Konto zurcksetzen
	md.fibu.lastKonto = null;
	md.fibu.lastYear = null;
	md.fibu.lastMonth = null;

	// Inhalt vom bersichts-Container kopieren
	$("#overviewContent").clone(true, true).appendTo("#app-content");

	// UI aktualisieren
	$("#app-content").removeClass("loading");
	
	//md.fibu.showAuswertung();
	//md.fibu.showAuswertungKat();
}

md.fibu.showAuswertung = function() {
	$("#auswertung_body").html();
	$("#app-content").addClass("loading");
	$("#showAuswertung").remove();

	// Url basteln
	var url = "ajax/get_auswertung.php";
	
	// bertragen
	var result = md.getValJsonObj(url);
	if(result === false) {
		return;
	}
	
	var data = result.data;
	
	// Tabelle aufbauen
	var table = document.createElement("table");
	table.id = "auswertung_table";
	
		var thead = document.createElement("thead");
	
			var tr_kopf = document.createElement("tr");
			
				var th = document.createElement("th");
				th.innerHTML = "Konto";
				tr_kopf.appendChild(th);
				
				for(var i = 0; i < 6; i++) {
					var th = document.createElement("th");
					th.innerHTML = data.months[i].substring(0, 7);
					tr_kopf.appendChild(th);
				}
			
			thead.appendChild(tr_kopf);
			
		table.appendChild(thead);
	
		var tbody = document.createElement("tbody");
	
			for(var i = 0; i < data.konten.length; i++) {
				var tr = document.createElement("tr");
				
					var td_name = document.createElement("td");
					td_name.innerHTML = data.konten[i].name;
					tr.appendChild(td_name);
					
					for(var x = 0; x < 6; x++) {
						var td = document.createElement("td");
						td.innerHTML = md.asColoredEuro(data.konten[i][data.months[x]]);
						tr.appendChild(td);
					}
				
				tbody.appendChild(tr);
			}
			
		table.appendChild(tbody);
	
	$("#auswertung_body")[0].appendChild(table);
	$("#app-content").removeClass("loading");
}

md.fibu.showAuswertungKat = function() {
	$("#auswertung_kat_body").html();
	$("#app-content").addClass("loading");
	$("#showAuswertungKat").remove();

	// Url basteln
	var url = "ajax/get_auswertung_kat.php";
	
	// bertragen
	var result = md.getValJsonObj(url);
	if(result === false) {
		return;
	}

	var data = result.data;
	
	// Tabelle aufbauen
	var table = document.createElement("table");
	table.id = "auswertung_table";
	
		var thead = document.createElement("thead");
	
			var tr_kopf = document.createElement("tr");
			
				var th = document.createElement("th");
				th.innerHTML = "Kategorie";
				tr_kopf.appendChild(th);
				
				for(var i = 0; i < 6; i++) {
					var th = document.createElement("th");
					th.innerHTML = data.months[i].substring(0, 7);
					tr_kopf.appendChild(th);
				}
			
			thead.appendChild(tr_kopf);
			
		table.appendChild(thead);
	
		var tbody = document.createElement("tbody");
	
			for(var i = 0; i < data.kategorien.length; i++) {
				var tr = document.createElement("tr");
				
					var td_name = document.createElement("td");
					td_name.innerHTML = data.kategorien[i].name;
					tr.appendChild(td_name);
					
					for(var x = 0; x < 6; x++) {
						var td = document.createElement("td");
						td.innerHTML = md.asColoredEuro(data.kategorien[i][data.months[x]]);
						tr.appendChild(td);
					}
				
				tbody.appendChild(tr);
			}
			
		table.appendChild(tbody);
	
	$("#auswertung_kat_body")[0].appendChild(table);
	$("#app-content").removeClass("loading");
}