md.validateRequestData = function(obj) {
	if(typeof(obj) != "object") {
		if(typeof(obj) == "string") {
			return obj;
		}
	} else {
		if(obj.status != "success") {
			return obj.data.message;
		} else {
			return true;
		}
	}
}

md.baseUrl = function() {
   //var href = window.location.href.split('/');
   //return href[0]+'//'+href[2]+'/';
   var url = window.location.href;
   return url.substring(0, url.indexOf("index.php") + 10);
}
md.callURL = function(url){
	url = md.baseUrl() + "apps/md_fibu/" + url;
	var retVar = false;
	if(typeof XMLHttpRequest != 'undefined'){
		var httpRequest = new XMLHttpRequest();
		httpRequest.open('GET', url, false);
		httpRequest.send(null);
		var content = (httpRequest.responseText);
		retVar = content;
	}
	return retVar;
}
md.evalJson = function(json) {
	if(json.length == 0) { return {"status":"error","data":{"message":"JSON String is empty"}}; }
	return eval("("+json+")");
}
md.getJsonObj = function(url) {
	var json = md.callURL(url);
	return md.evalJson(json);
}
md.getValJsonObj = function(url) {
	// Übertragen
	var obj = md.getJsonObj(url);
	// Daten validieren
	var result = md.validateRequestData(obj);
	if(result !== true) {
		// TODO: Das hier nicht als Alert sondern in einem schönen Fenster anzeigen
		alert(result);
		return false;
	}
	
	// Eventuell wurden zu cachende Daten übermittelt
	if(typeof(obj.cacheData) == 'object') {
		if(typeof(obj.cacheData.konten) == 'object') {
			md.fibu.kontoCache = obj.cacheData.konten;
		}
		if(typeof(obj.cacheData.kategorien) == 'object') {
			md.fibu.katCache = obj.cacheData.kategorien;
		}
		if(typeof(obj.cacheData.users) == 'object') {
			md.fibu.userCache = obj.cacheData.users;
		}
	}
	
	return obj;
}

md.getImgPath = function() {
	return document.getElementById("app").getAttribute("data-imgpath");
}

md.getCurrentDate = function() {
	var now = new Date();
	var month = now.getMonth() + 1;
	if(month < 10) { month = "0" + month; }
	var datum = "" + now.getFullYear() + "-" + month + "-" + now.getDate();
	return datum;
}
md.getCurrentTime = function() {
	var now = new Date();
	var hour = now.getHours();
	if(hour < 10) { hour = "0" + hour; }
	var minute = now.getMinutes();
	if(minute < 10) { minute = "0" + minute; }
	var second = now.getSeconds();
	if(second < 10) { second = "0" + second; }
	var uhrzeit = "" + hour + ":" + minute + ":" + second;
	return uhrzeit;
}

md.showAndCenter = function(id) {
	$("#" + id).css("display", "block");
	$("#" + id).css("top", ($(window).height() / 2) - ($("#" + id).height() / 2));
	$("#" + id).css("left", ($(window).width() / 2) - ($("#" + id).width() / 2));
}